% DH	Representacin matricial de la cinemtica del manipulador
%
%	Cada vez que se quiera utilizar una funcin de HEMERO relacionada con la cinemtica
%	se debern introducir en una matriz los parmetros de Denavit-Hartenberg del manipula-
%	dor, de acuerdo con la notacin de Craig (1986). El modo de introducir dicha informa-
%	cin en esa matriz es el siguiente:
%
%	-	Habr una fila por cada enlace que tenga el manipulador.
%
%	-	Cada fila tendr el siguiente formato:
%
%			[alpha(i-1) a(i-1) theta(i) d(i) sigma(i)]
%    
%		donde:
%		-	alpha(i-1), a(i-1), theta(i), d(i) son los parmetros de Denavit-Hartenberg
%			segn Craig (1986).
%		-	sigma(i) indicar el tipo de articulacin (ser 0 si es de rotacin y un nmero
%			distinto de cero si por el contrario es prismtica).
%
%	As pues para un robot con n enlaces, la matriz sera de dimensiones nx5.
%
%	Todos los ngulos debern ser introducidos en radianes. Las longitudes a(i-1) y d(i)
%	podrn ser expresadas en cualquier unidad y slo habr que tener cuidado de recordar
%	que las transformaciones homogneas y los Jacobianos que se calculen aparecern en 
%	esas mismas unidades.

%	Copyright (C) Peter Corke 1993
