%DYN	Contiene los parmetros cinemticos y dinmicos del manipulador.
%
%	Cada vez que se quiera utilizar una funcin de HEMERO relacionada con la dinmica
%	ser necesario introducir en una matriz los parmetros de Denavit-Hartenberg del
%	manipulador, junto con ciertos parmetros dinmicos. El modo de introducir esta
%	informacin en dicha matriz (a la que se denominar genricamente DYN) es el
%	siguiente:
%
%	* Habr una fila por cada enlace que tenga el manipulador.
%	* Cada fila tendr el siguiente formato:
%  
%		1	alpha(i-1)	Parmetros de Denavit-Hartenberg	
%		2	a(i-1)		
%		3	theta(i)	
%		4	d(i)	
%		5	sigma(i)	Tipo de articulacin; 0 si es de rotacin y 1 si es prismtica 
%		6	masa		Masa del enlace i
%		7	rx		Centro de masas del enlace respecto al cuadro de referencia de dicho enlace
%		8	ry
%		9	rz
%		10	Ixx		Elementos del tensor de inercia referido al centro de masas del enlace
%		11	Iyy
%		12	Izz
%		13	Ixy
%		14	Iyz
%		15	Ixz
%		16	Jm		Inercia de la armadura	          
%		17	G		Velocidad de la articulacin / velocidad del enlace
%		18	B		Friccin viscosa, referida al motor
%		19	Tc+		Friccin de Coulomb (rotacin positiva), referida al motor
%		20	Tc-		Friccin de Coulomb (rotacin negativa), referida al motor
%
%	As pues para un robot con n enlaces, la matriz DYN tendra dimensiones nx20.
%
%	Todos los ngulos debern ser introducidos en radianes. El resto de parmetros
%	de la matriz podrn tener las unidades que se deseen, siempre que se sea cohe-
%	rente en el uso de dichas unidades. Es decir que si se introducen las masas en
%	Kg y los centros de masas en metros, al escribir el tensor de inercia se deber
%	expresar en Kg m2.
%
%	Ver tambin DH.

%	Copyright (C) Peter Corke 1993
